Required role: read or higher.
Get specific cluster monitor event.
The identifiers of the events can be retrieved via GET /v0/cluster/events.
At most 1000 events are retained (newest first), and events older than 72h are deleted.
The latest event, if it already exists, is never cleaned up.
This endpoint can return a 404 for an event that no longer exists due to clean-up.
| Path Parameters |
|---|
event_id string — REQUIREDCluster monitor event identifier or latest |
| Query Parameters |
|---|
selector stringPossible values: [all, status] The selector parameter limits which fields are returned.
Limiting which fields is particularly handy for instance when frequently
monitoring over low bandwidth connections while being only interested
in status. |
| Responses |
|---|
| Schema — OPTIONAL |
|---|
all_healthy boolean | api_resources_info string — OPTIONAL | api_self_info string — OPTIONAL | api_status stringPossible values: [InitialUnhealthy, Unhealthy, Healthy] | compiler_resources_info string — OPTIONAL | compiler_self_info string — OPTIONAL | compiler_status stringPossible values: [InitialUnhealthy, Unhealthy, Healthy] | id uuidCluster monitor event identifier. | recorded_at date-time | runner_resources_info string — OPTIONAL | runner_self_info string — OPTIONAL | runner_status stringPossible values: [InitialUnhealthy, Unhealthy, Healthy] |
|
| Schema — OPTIONAL |
|---|
detailsDetailed error metadata.
The contents of this field is determined by error_code. | error_code stringError code is a string that specifies this error type. | message stringHuman-readable error message. |
|
| Schema — OPTIONAL |
|---|
detailsDetailed error metadata.
The contents of this field is determined by error_code. | error_code stringError code is a string that specifies this error type. | message stringHuman-readable error message. |
|
| Schema — OPTIONAL |
|---|
detailsDetailed error metadata.
The contents of this field is determined by error_code. | error_code stringError code is a string that specifies this error type. | message stringHuman-readable error message. |
|